import React from "react";
import { Container } from "react-bootstrap";
// import "./../styles/ProductGrid.css";
import ProductTable from "./ProductTable.jsx";
export default class SearchResults extends React.Component{

    constructor(props){
        super(props);
        this.state = {
            results: this.props.history.location.state.results
        }
    }

    render(){
        return (
            <div>
              <h1 id="title" className="text-center" >Search Results</h1>
              <Container id="prod-grid" className="mt-3">
                {this.state.results.length > 0 ? 
                  <ProductTable productData={this.state.results}/>
                : <p>Unable to find any matching products.</p>
                }
              </Container>
            </div>
          );
    }

}